org.jgrapht.alg

## Class EdmondsBlossomShrinking<V,E>

- java.lang.Object
- - org.jgrapht.alg.EdmondsBlossomShrinking<V,E>

- All Implemented Interfaces:
    MatchingAlgorithm<V,E>

      public class EdmondsBlossomShrinking<V,E>
      extends Object
      implements MatchingAlgorithm<V,E>

  An implementation of Edmonds Blossom Shrinking algorithm for constructing maximum matchings on graphs. The algorithm runs in time O(V^4).
  Since:
    Jan 24, 2012
  Author:
    Alejandro R. Lopez del Huerto

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmondsBlossomShrinking()` Deprecated.
    `EdmondsBlossomShrinking(UndirectedGraph<V,E> G)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<E>` | `findMatch(UndirectedGraph<V,E> g)` Deprecated.
    `Set<E>` | `getMatching()` Returns set of edges making up the matching

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmondsBlossomShrinking

          @Deprecated
          public EdmondsBlossomShrinking()

      Deprecated.

    - #### EdmondsBlossomShrinking

          public EdmondsBlossomShrinking(UndirectedGraph<V,E> G)

  - ### Method Detail

    - #### findMatch

          @Deprecated
          public Set<E> findMatch(UndirectedGraph<V,E> g)

      Deprecated.
      See `getMatching` as preferred alternative to this one

    - #### getMatching

          public Set<E> getMatching()

      Description copied from interface: `MatchingAlgorithm`
      Returns set of edges making up the matching
      Specified by:
        `getMatching` in interface `MatchingAlgorithm<V,E>`

Copyright © 2016. All rights reserved.